uuid: 2f67a8f8-0767-44b0-b6eb-c1ffdf125e27
langcode: en
status: true
dependencies: {  }
id: gronze_vote
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - vote
  - level3
migration_group: gronze_vote
label: 'Vote migration from Drupal 7'
source:
  plugin: d7_accomodation_vote
  high_water_property:
    name: vote_id
    alias: v
process:
  type:
    plugin: default_value
    default_value: accommodation_vote
  entity_type: entity_type
  entity_id:
    plugin: migration_lookup
    migration:
      - gronze_node_albergues
      - gronze_node_alojamiento
    source: entity_id
    no_stub: true
  value: value
  value_type: value_type
  user_id:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: uid
    no_stub: true
  timestamp: timestamp
  vote_source: vote_source
destination:
  plugin: 'entity:vote'
  default_bundle: accommodation_vote
migration_dependencies:
  required:
    - gronze_node_albergues
    - gronze_node_alojamiento
